# lcm

least common multiple

## Calling Sequence

    [pp, fact] = lcm(p)

## Arguments

p

  a polynomial row vector `p = [p1, ..., pn]` (type equal to 2) or an integer row vector (type equal to 8).

fact

  a polynomial vector or an integer vector.

pp

  a polynomial or an integer.

## Description

`pp = lcm(p)` computes the lcm `pp` of polynomial vector `p`.

`[pp, fact] = lcm(p)` computes in addition the vector `fact` such that:

`p.*fact = pp*ones(p)`.

The least common multiple of an array `p` of real numbers can be obtained by converting it to a polynomial before calling `lcm`, through `p = inv_coeff(p, 0)`.

## Examples

    //polynomial case
    s=poly(0,'s');
    p=[s,s*(s+1)^2,s^2*(s+2)];
    [pp,fact]=lcm(p);
    p.*fact, pp

    //integer case
    V=int32([2^2*3^5, 2^3*3^2,2^2*3^4*5]);
    lcm(V)

## See Also

- gcd
- bezout